#ifndef __mx_email_h__
#define __mx_email_h__

#include "vars.h"

long AccountPendingMail(CVars in);
long WelcomeAccountMail(CVars in);
long GroupCreateMemberMail(CVars in);
long CreateCoreGradeGroupMail(CVars in);



long send_email(CVars in, CVars &out);
long SystemStatus();
long VirtualAirSaleAlert(CVars in);
void SendAccountCreateAlert(long customer_id);
long VirtualAirSaleCustomer(CVars in);
void  CustomerBalanceEmail(CVars in);
void  PaymentAlert(CVars in);
void  BalanceUpdateAlert(CVars in);
void  CustomerEmailWelcome(CVars in);
long CustomerAirSale(CVars in);
long CustomerAirSalePayment(CVars in);
long CustomerAirBonus(CVars in);
long CustomerBalanceBonusEmail(CVars in);
long StartPassResetEmail(CVars in);
long CompletePassResetEmail(CVars in);
long SendPromoEmail(CVars in);
long  SendBalanceRequestAlert(CVars in);
long SendBalanceCompleteAlert(CVars in);



#endif

